#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
# http://www.powershell-doktor.de
########################################

$nazwa = "FoxMulder"
"Wyszukiwanie użytkownika " + $nazwa + "..."
$root = new-object system.directoryservices.directoryEntry("LDAP://Serwer1/DC=FBI,DC=net")
$Filter = "(SAMAccountName=" + $nazwa +")"
$Atrybuty = "CN","ObjectClass","ObjectCategory","distinguishedName","lastLogonTimestamp","description","department","displayname"

# Przygotowywanie wyszukiwania
$Searcher = New-Object Directoryservices.DirectorySearcher($root)
$searcher.PageSize = 900 
$searcher.Filter = $Filter
$searcher.SearchScope = "subtree"
$Atrybuty | foreach {[void]$searcher.PropertiesToLoad.Add($_)} 
# Uruchamianie wyszukiwania
$searcher.findAll() 
